﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using C1.C1Report;
using System.Collections.ObjectModel;

namespace WPF_Report_ListBinding
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            C1Report rpt = new C1Report();
            rpt.Load(@"..\..\SampleReport.xml", "C1Report_ListDataSource");

            //Create Object for ObservableCollection
            ReportDataSource persons = new ReportDataSource();

            rpt.DataSource.Recordset = persons;
            C1DocumentViewer1.Document = rpt.FixedDocumentSequence;

        }
    }

    public class ReportDataSource : ObservableCollection<Person>
    {
        public ReportDataSource()
            : base()
        {
            for (int i = 0; i < 400; i++)
            {
                Person p = new Person();
                p.Name = "Name" + i.ToString();
                p.Title = "Mr";
                p.Basic = 10000;
                p.Salary = 20000;
                p.Department = "Department" + i.ToString();
                p.Subject = "Subject" + i.ToString();
                Add(p);
            }
        }
    }

    public class Person
    {
        public string Title { get; set; }
        public string Name { get; set; }
        public int Basic { get; set; }
        public int Salary { get; set; }
        public string Department { get; set; }
        public string Subject { get; set; }
    }
}
